Search Results for

Show / Hide Table of Contents

# Interface IModalAd

Ad that can be loaded and shown.

##### Inherited Members

ILoadableAd.LoadAd()

###### Namespace: AppstockSDK.Api

###### Assembly: Appstock.Core.dll

##### Syntax

    public interface IModalAd : ILoadableAd

### Properties

#### Loaded

Gets if ad has loaded.

##### Declaration

    bool Loaded { get; }

##### Property Value

Type | Description
--- | ---
bool | `true` if ad has successfully loaded, `false` otherwise.

### Methods

#### Show(Action?)

Show the ad on screen.

##### Declaration

    void Show(Action? actionOnUIThread = null)

##### Parameters

Type | Name | Description
--- | --- | ---
Action | actionOnUIThread | Something you want to execute immediately when the ad is being added to the screen `actionOnUIThread` is invoked on NATIVE UI THREAD which MAY DIFFER from UNITY'S MAIN THREAD.